Package org.apache.storm.executor

# Class ExecutorShutdown

java.lang.Object
org.apache.storm.executor.ExecutorShutdown

All Implemented Interfaces:
  `Shutdownable`, `IRunningExecutor`

public class ExecutorShutdown extends Object implements Shutdownable, IRunningExecutor

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExecutorShutdown(Executor executor, List<Utils.SmartThread> threads, ArrayList<Task> taskDatas, JCQueue recvQueue)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `credentialsChanged(Credentials credentials)`
  `List<Long>`
  `getExecutorId()`
  `JCQueue`
  `getReceiveQueue()`
  `void`
  `loadChanged(LoadMapping loadMapping)`
  `boolean`
  `publishFlushTuple()`
  `ExecutorStats`
  `renderStats()`
  `void`
  `shutdown()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ExecutorShutdown

    public ExecutorShutdown(Executor executor, List<Utils.SmartThread> threads, ArrayList<Task> taskDatas, JCQueue recvQueue)

- ## Method Details

  - ### renderStats

    public ExecutorStats renderStats()
    Specified by:
      `renderStats` in interface `IRunningExecutor`

  - ### getExecutorId

    public List<Long> getExecutorId()
    Specified by:
      `getExecutorId` in interface `IRunningExecutor`

  - ### credentialsChanged

    public void credentialsChanged(Credentials credentials)
    Specified by:
      `credentialsChanged` in interface `IRunningExecutor`

  - ### loadChanged

    public void loadChanged(LoadMapping loadMapping)
    Specified by:
      `loadChanged` in interface `IRunningExecutor`

  - ### getReceiveQueue

    public JCQueue getReceiveQueue()
    Specified by:
      `getReceiveQueue` in interface `IRunningExecutor`

  - ### publishFlushTuple

    public boolean publishFlushTuple()
    Specified by:
      `publishFlushTuple` in interface `IRunningExecutor`

  - ### shutdown

    public void shutdown()
    Specified by:
      `shutdown` in interface `Shutdownable`